=== modified file 'Makefile'
--- Makefile	2014-12-10 14:20:55 +0000
+++ Makefile	2015-01-20 16:42:06 +0000
@@ -73,3 +73,11 @@
 
 deb: dist dch
 	cd debian && debuild -sa -I.bzr
+
+clean-docs:
+	cd docs && rm -f *.html
+
+generate-docs: clean-docs
+	for mdfile in docs/*.md; do \
+		markdown $$mdfile > $${mdfile%.*}.html ; \
+	done

=== added directory 'docs'
=== added file 'docs/index.md'
--- docs/index.md	1970-01-01 00:00:00 +0000
+++ docs/index.md	2015-01-20 16:42:06 +0000
@@ -0,0 +1,38 @@
+Mojo: Continuous Delivery for Juju
+==================================
+
+Mojo is a system of configuration and tools for verifying the success of Juju
+environment deployments.
+
+To get started with mojo, on trusty or utopic (using the mojo-how-to spec as an
+example):
+
+ 1. Install Mojo:
+
+    * Add ppa:mojo-maintainers/ppa to your system's Software Sources
+    * sudo apt-get install mojo
+
+ 2. Create a project:
+ 
+    * sudo mojo project-new --series trusty mojo-how-to
+    * Add the user account in question to the %mojo group
+
+ 3. Create a workspace:
+
+    * mojo workspace-new --project mojo-how-to --stage=mojo-how-to/devel --series trusty lp:~mojo-maintainers/mojo/mojo-specs mojo-how-to
+    * If that fails with a permission denied error on the lxc folder, this is due to a known bug - "sudo chmod 755 /var/lib/lxc/mojo-how-to.trusty && sudo chmod 755 /var/lib/lxc" will fix it.
+
+ 4. Bootstrap your juju environment (not covered here)
+
+ 5. Run your mojo spec to configure your environment as specified in the mojo spec:
+
+    * mojo run --project mojo-how-to --series trusty --stage mojo-how-to/devel
+    * lp:~mojo-maintainers/mojo/mojo-specs mojo-how-to
+
+For more information on using Mojo see our more detailed [readme](readme.html)
+or take a look at these articles which originally appeared on [Ubuntu
+Insights](https://insights.ubuntu.com):
+
+ * [Introduction to Mojo](mojo-insights-article-introduction.html)
+ * [Mojo Deeper Dive](mojo-insights-article-deeper-dive.html)
+ * [Mojo Example Deployment](mojo-insights-article-example-deployment.html)

